# minebatch
Runs a batch of commands on a Minecraft server over RCON

## Enabling RCON on your Minecraft server

[RCON](http://wiki.vg/RCON) must be enabled on the Minecraft server you wish to send commands to. This is done by adding the following lines to the server.properties file:

```
enable-rcon=true
rcon.password=YOURPASSWORD
```

## Send commands from a text file

The simplest way to use Minebatch is to create a text file and type the commands you wish to send in it. Each command should be on it's own line.

```
$ minebatch --pass YOURPASSWORD < example/commands.txt
```

## Pipe commands generated by another node script

To programmatically generate commands you can write a node script that outputs commands to the console, then pipe that command's output into Minebatch.

```
$ node example/pyramid | minebatch --pass YOURPASSWORD
```
